Ameba::Rule::Layout::TrailingWhitespace - ameba 1.6.4

# class Ameba::Rule::Layout::TrailingWhitespace

- Ameba::Rule::Layout::TrailingWhitespace
- Ameba::Rule::Base
- Reference
- Object

##
Overview

A rule that disallows trailing whitespace.

YAML configuration example:

    Layout/TrailingWhitespace:
      Enabled: true

##
Included Modules

- YAML::Serializable
- YAML::Serializable::Strict

##
Defined in:

ameba/rule/layout/trailing_whitespace.cr

##
Constant Summary

MSG = `"Trailing whitespace detected"`

##
Constructors

- .new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
- .new(config = nil)

  A rule that disallows trailing whitespace.

- .new(*, __context_for_yaml_serializable ctx : YAML::ParseContext, __node_for_yaml_serializable node : YAML::Nodes::Node)

##
Class Method Summary

- .parsed_doc : String | Nil

  Returns documentation for this rule, if there is any.

##
Instance Method Summary

- #description : String
- #description=(description : String)
- #enabled=(enabled : Bool)
- #enabled? : Bool
- #excluded : Array(String) | Nil
- #excluded=(excluded : Array(String) | Nil)
- #severity : Ameba::Severity
- #severity=(severity : Ameba::Severity)
- #test(source)

### Instance methods inherited from class `Ameba::Rule::Base`

==(other) ==, catch(source : Source) catch, excluded?(source) excluded?, group group, hash hash, name name, special? special?, test(source : Source, node : Crystal::ASTNode, *opts)
test(source : Source) test

### Class methods inherited from class `Ameba::Rule::Base`

default_severity : Ameba::Severity default_severity

### Macros inherited from class `Ameba::Rule::Base`

issue_for(*args, **kwargs, &block) issue_for

### Macros inherited from module `Ameba::Config::RuleConfig`

properties(&block) properties

##
Constructor Detail

def self.new(ctx : YAML::ParseContext, node : YAML::Nodes::Node) #
def self.new(config = nil) #

A rule that disallows trailing whitespace.

YAML configuration example:

    Layout/TrailingWhitespace:
      Enabled: true

def self.new(*, __context_for_yaml_serializable ctx : YAML::ParseContext, __node_for_yaml_serializable node : YAML::Nodes::Node) #

##
Class Method Detail

def self.parsed_doc : String | Nil #

Returns documentation for this rule, if there is any.

    module Ameba
      # This is a test rule.
      # Does nothing.
      class MyRule < Ameba::Rule::Base
        def test(source)
        end
      end
    end

    MyRule.parsed_doc # => "This is a test rule.\nDoes nothing."

##
Instance Method Detail

def description : String #
def description=(description : String) #
def enabled=(enabled : Bool) #
def enabled? : Bool #
def excluded : Array(String) | Nil #
def excluded=(excluded : Array(String) | Nil) #
def severity : Ameba::Severity #
def severity=(severity : Ameba::Severity) #
def test(source) #